Subject: bug#59790: 30.0.50; ns-use-native-fullscreen is not respected for first use of initial-frame-alist

From: Aaron Jensen <[email-masked]>
Date: Fri, 22 Nov 2024 18:20:17 -0800

>
> I tried this in createToolbar and I still get the error. I don't know if
> the styleMask isn't set yet or if it's somehow using the toolbar from the
> previous window? Seems odd. I haven't played with it too much, but I just
> wanted to let you know that this didn't appear to work in case you were
> planning on taking a look at some point.
>

Figured it out. Please try the attached patch.

Thanks,

Aaron